Bug 1276134 - Missing dependency on qt5-qtquickcontrols
Missing dependency on qt5-qtquickcontrols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: khangman (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 16:04 EDT by Samuel Sieb
Modified: 2016-01-15 10:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 10:24:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Sieb 2015-10-28 16:04:05 EDT
This package is missing a dependency on qt5-qtquickcontrols.  Without that, it loads to a blank window.  Running it from the console shows:
file:///usr/share/khangman/qml/main.qml:22:1: module "QtQuick.Controls" is not installed 
     import QtQuick.Controls 1.2 
     ^
file:///usr/share/khangman/qml/main.qml:23:1: module "QtQuick.Layouts" is not installed 
     import QtQuick.Layouts 1.1 
     ^

I installed qt5-qtquickcontrols and it works now.
Comment 1 Samuel Sieb 2015-11-26 00:44:20 EST
qt5-qtmultimedia is also missing from the dependencies.
Comment 2 Rex Dieter 2015-11-29 07:50:14 EST
%changelog
* Sat Nov 28 2015 Rex Dieter <rdieter@fedoraproject.org> - 15.08.3-1
- 15.08.3
- add qml-related dependencies (#1276134)
Comment 3 Rex Dieter 2016-01-15 10:24:31 EST
I'm going to be rebasing stuff to 15.12.x releases soon, and issue updates, the fix will get included then.

Thanks again for your report.

Note You need to log in before you can comment on or make changes to this bug.